/** ################## FILTRI ################## */

.rsa-analisiambientale .view-header {
  font-size: 1.2rem;
  margin-bottom: 1em;
}

/*** Campo del filtro cerca ***/
.rsa-analisiambientale .form-item-title {
  width: 100%;
  padding: 0 2em;
  font-size: 1.2rem;
  margin-bottom: 1em !important;
}

.rsa-analisiambientale .form-control {
  width: 50%;
  margin: 5px auto;
  border-color: var(--rsa-scuro);
}

.view-rsa .form-item-title {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-content: center;
  align-items: center;
  justify-content: space-around;
}

/*** Campo dei filtri tema e tipo compresa descrizione ***/

/* ? BOX filtri piatto */
/* #views-exposed-form-rsa-page-1 {
    border-top: 3px solid #1d1d75;
    background-color: #fcfcfc;
    border-bottom: 3px solid #1d1d75;
    margin-bottom: 20px;
    background-color: #fcfcfc; 
}
*/

/* ? BOX filtri in neumorphism  */
#views-exposed-form-rsa-page-1 {
  border-radius: 3px;
  background: var(--rsa-sfondo-contenuti);
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  margin-top: 1em;
  margin-bottom: 1em;
}

.rsa-analisiambientale fieldset.form-wrapper {
  width: 50%;
  text-align: center;
  margin-left: 0;
  margin-right: 0;
}
/*** Campo dei filtri tema e tipo checkbox ***/
.rsa-analisiambientale .fieldset-legend {
  font-size: 1.1em;
  font-weight: var(--rsa-fontbold);
}

.rsa-analisiambientale .form-checkboxes .bef-checkboxes {
  display: grid;
  grid-auto-columns: 25%;
  justify-items: stretch;
  align-items: center;
}

.rsa-analisiambientale .form-item {
  margin: 0.3em;
}

.form-check-input {
  border-color: var(--rsa-scuro);
  vertical-align: sub;
}
.form-check-input:checked {
  background-color: var(--rsa-scuro);
  border-color: var(--rsa-scuro);
}

.btn-primary {
  --bs-btn-color: var(--rsa-chiaro);
  --bs-btn-bg: var(--rsa-scuro);
  --bs-btn-border-color: #3d3d3d;
  --bs-btn-hover-color: var(--rsa-scuro);
  --bs-btn-hover-bg: var(--rsa-chiaro);
  --bs-btn-hover-border-color: #3d3d3d;
  --bs-btn-focus-shadow-rgb: 49, 132, 253;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--rsa-scuro);
  --bs-btn-active-border-color: var(--rsa-scuro);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: var(--rsa-scuro);
  --bs-btn-disabled-border-color: var(--rsa-scuro);
}

/* .rsa-analisiambientale .fieldset-wrapper {
  display: flex;
  flex-wrap: nowrap;
  align-content: center;
  justify-content: space-around;
  align-items: center;
} */

.rsa-analisiambientale .form-actions {
  text-align: center;
}

.rsa-analisiambientale label.option {
  font-weight: var(--rsa-fontbold);
  font-size: 81%;
  vertical-align: middle;
}

/** ################## CARD ################## */

.rsa-analisiambientale .views-view-responsive-grid__item {
  height: 150px;

  box-shadow: 0 3px 3px rgba(0, 0, 0, 0.12), 0 3px 2px rgba(0, 0, 0, 0.24);
  transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
  border-radius: 3px;
}

.rsa-analisiambientale .views-view-responsive-grid__item-inner {
  background-color: #fff;
  display: flow-root;
  bottom: 2px;
  position: relative;
}

/*** CARD HOVER */

.views-view-responsive-grid__item:hover {
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}

/*** CARD in funzione di TEMA ***/
/* ? hack x firefox --------------------------- */
.views-view-responsive-grid__item {
  background-color: var(--rsa-scuro);
}
/* ? ---------------------------hack x firefox  */

.views-view-responsive-grid__item:has(.rsa-tema-CLIMA) {
  background-color: var(--rsa-clima);
}

.views-view-responsive-grid__item:has(.rsa-tema-ACQUA) {
  background-color: var(--rsa-acqua);
}

.views-view-responsive-grid__item:has(.rsa-tema-ARIA) {
  background-color: var(--rsa-aria);
}

.views-view-responsive-grid__item:has(.rsa-tema-TERRITORIO) {
  background-color: var(--rsa-territorio);
}

.views-view-responsive-grid__item:hover
  .views-view-responsive-grid__item-inner:has(.rsa-tema-CLIMA) {
  background-color: var(--rsa-clima);
}
.views-view-responsive-grid__item:hover
  .views-view-responsive-grid__item-inner:has(.rsa-tema-ACQUA) {
  background-color: var(--rsa-acqua);
}
.views-view-responsive-grid__item:hover
  .views-view-responsive-grid__item-inner:has(.rsa-tema-ARIA) {
  background-color: var(--rsa-aria);
}
.views-view-responsive-grid__item:hover
  .views-view-responsive-grid__item-inner:has(.rsa-tema-TERRITORIO) {
  background-color: var(--rsa-territorio);
}

.views-view-responsive-grid__item:hover {
  background-color: var(--rsa-scuro);
}

.rsa-analisiambientale .views-field-title a {
  text-align: center;
  text-decoration: none;
  text-transform: lowercase;
  letter-spacing: 0;
  font-size: 15px;
  font-weight: 600;
  text-align: center;
  text-transform: uppercase;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 70px;
  margin: 0;
  padding: 5px;
  color: #000000;
  line-height: 1.3em;
  height: 90px;
}

/*** CAMPI ***/

.rsa-tema,
.rsa-tipo {
  width: 50%;
  float: left;
  padding: 0 10px;

  font-size: 12px;
  font-weight: var(--rsa-fontbold);
  text-transform: capitalize;
  color: #000000;
}

.rsa-tema {
  text-align: left;
}
.rsa-tipo {
  text-align: right;
}

/* * ICONE di TEMA e STATO nelle CARD ***************** */

/*** LABEL INFERIORI TEMA e STATO nelle card tematizzati per valore */

/* .rsa-tema-ACQUA {
  color: #54ff8d !important;
}
.rsa-tema-TERRITORIO {
  color: rgb(131, 199, 5) !important;
}
.rsa-tema-CLIMA {
  color: rgb(243, 122, 24) !important;
}
.rsa-tipo-IMPATTI {
  color: rgb(243, 24, 199) !important;
}
 */
/* - ----------------------------------------------------*/

.rsa-ico-tema {
  width: 48%;
  /* float: left; */
  padding: 0 10px;
  top: -26px;
  position: relative;
}

.rsa-ico-tipo {
  width: 48%;
  /* float: left; */
  padding: 0 10px;
  top: -26px;
  position: relative;
}

/**   IMMAGINI per i filtri checkbox di temi */

[class*="form-item-field-tema-target-id-"],
[class*="form-item-field-tipo-target-id-"] {
  padding: 13px 4px;
  border-radius: 5px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
}

.form-item-field-tema-target-id-1 {
  background-color: #adeadb;
  grid-column: 3;
}

.form-item-field-tema-target-id-2 {
  background-color: #bbd9ff;
  grid-column: 2;
}
.form-item-field-tema-target-id-3 {
  background-color: #f9e382;
  grid-column: 1;
}

.form-item-field-tema-target-id-4 {
  background-color: #a4eaa8;
  grid-column: 4;
}

.form-item-field-tema-target-id-1::before {
  content: var(--rsa-icon-ACQ);
  width: 41px;
  height: 20px;
  display: block;
  margin: 0 auto 12px;
}
.form-item-field-tema-target-id-2::before {
  content: var(--rsa-icon-ARI);
  width: 41px;
  height: 20px;
  display: block;
  margin: 0 auto 12px;
}

.form-item-field-tema-target-id-3::before {
  content: var(--rsa-icon-CLI);
  width: 41px;
  height: 20px;
  display: block;
  margin: 0 auto 12px;
}

.form-item-field-tema-target-id-4::before {
  content: var(--rsa-icon-TER);

  width: 41px;
  height: 20px;
  display: block;
  margin: 0 auto 12px;
}

/* * STATo ************************************************/

.form-item-field-tipo-target-id-8 {
  background-color: #d3d3f4;
  grid-column: 1;
}

.form-item-field-tipo-target-id-5 {
  /* background-color: #acacef;originale */
  background-color: #c6c6f2;
  grid-column: 2;
}
.form-item-field-tipo-target-id-6 {
  /*   background-color: #8a8ae2;originale */
  background-color: #b9b9f1;
  grid-column: 3;
}

.form-item-field-tipo-target-id-7 {
  /*background-color: #7676dd; originale */

  background-color: #acacef;
  grid-column: 4;
}

.form-item-field-tipo-target-id-8::before {
  content: var(--rsa-icon-STA);
  width: 41px;
  height: 20px;
  display: block;
  margin: 0 auto 12px;
}
.form-item-field-tipo-target-id-5::before {
  content: var(--rsa-icon-FAT);
  width: 41px;
  height: 20px;
  display: block;
  margin: 0 auto 12px;
}
.form-item-field-tipo-target-id-6::before {
  content: var(--rsa-icon-IMP);

  width: 41px;
  height: 20px;
  display: block;
  margin: 0 auto 12px;
}
.form-item-field-tipo-target-id-7::before {
  content: var(--rsa-icon-RIS);

  width: 41px;
  height: 20px;
  display: block;
  margin: 0 auto 12px;
}

/* ! ----------1200 >>> ---  [4+++ COLONNE] ------------------------------------------------------------- */
@media only screen and (max-width: 1200px) {
  .rsa-analisiambientale fieldset.form-wrapper {
    width: 100%;
  }
  .rsa-analisiambientale label.option {
    font-size: 100%;
  }
}

/* ! -----------990 >>> -- [3  COLONNE]-------------------------------------------------------------- */
@media only screen and (max-width: 990px) {
  .rsa-analisiambientale fieldset.form-wrapper {
    width: 100%;
  }
  .rsa-analisiambientale label.option {
    font-size: 100%;
  }
  .rsa-analisiambientale .form-control {
    width: 100%;
  }
  .view-rsa .form-item-title {
    flex-direction: column;
  }
}

/* ! ------------768 >>>- [2 COLONNE]------------------------------------------------------------------- */

@media only screen and (max-width: 768px) {
  .rsa-analisiambientale fieldset.form-wrapper {
    width: 100%;
  }
  .rsa-analisiambientale label.option {
    font-size: 70%;
  }

  [class*="form-item-field-tema-target-id-"],
  [class*="form-item-field-tipo-target-id-"] {
    padding: 13px 0px;
  }
}
/* ! -------------1 COLONNE--------20em > 48em------------------------------------------------------------- */
@media only screen and (max-width: 25em) {
  .rsa-analisiambientale .fieldgroup {
    background-color: inherit;
  }
}

/* ! per browser es firefox pre 121 che non supportano :has */
@supports not (selector(:has(*))) {
  .rsa-analisiambientale .views-view-responsive-grid__item {
    height: 105px;
  }
}
